%global pypi_name ansible-navigator
%global module_name ansible_navigator
%global commitId 65f228614c5769b3775417d5481eda162def6f0e

Name:           %{pypi_name}
Version:        3.3.1
Release:        1%{?dist}
Summary:        A text-based user interface (TUI) for the Red Hat Ansible Automation Platform

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-navigator
Source0:        ansible-navigator-65f228614c5769b3775417d5481eda162def6f0e.tar.gz
BuildArch:      noarch

# tzdata is added as Requires, no need to add python package
Patch0:         remove_tzdata_dependency.patch
Patch1:         image_path_override.patch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-setuptools_scm_git_archive >= 1.1
BuildRequires:  python%{python3_pkgversion}-wheel

Requires: ansible-builder >= 3.0.0
Requires: ansible-runner >= 2.3.1
Requires: ansible-runner < 3.0
Requires: podman
Requires: python%{python3_pkgversion}
Requires: python%{python3_pkgversion}-importlib-metadata
Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-jsonschema
Requires: python%{python3_pkgversion}-onigurumacffi >= 1.1.0
Requires: python%{python3_pkgversion}-onigurumacffi < 2
Requires: python%{python3_pkgversion}-pyyaml
Requires: tzdata

%description
A text-based user interface (TUI) for the Red Hat Ansible Automation Platform

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==63.1.0

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{module_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files
%defattr(-,root,root)
%license LICENSE
%doc README.md
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Mon May 22 2023 Satoe Imaishi <simaishi@redhat.com> - 3.3.1-1
- Update to 3.3.1

* Wed Oct 12 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-1
- Ansible Navigator 2.2.0-1

* Tue May 10 2022 Satoe Imaishi <simaishi@redhat.com> - 2.1.0-1
- Ansible Navigator 2.1.0-1

* Mon May 02 2022 Satoe Imaishi <simaishi@redhat.com> - 2.0.0-1
- Ansible Navigator 2.0.0-1

* Wed Oct 13 2021 Yanis Guenane <yguenane@redhat.com> - 1.1.0-1
- Ansible Navigator 1.1.0-1

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-2
- Override execution environment image path

* Mon Jun 28 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Ansible Navigator 1.0.0-1
